Welcome, Autel Pilots!
Join our free Autel drone community today!
Join Us

Explorer App V1 and V2 on same device?

Mavic Rick

Active Member
Joined
Jan 3, 2021
Messages
29
Reaction score
19
Age
33
I have an EVO II Pro V1 and I'll be getting an EVO II Pro V2 soon. I want to keep the capability to fly both drones from the same device (Tripltek 8). I was wondering if I should expect any conflicts between the respective Explorer Apps, V1 and V2? I mean they're two separate pieces of software, right? Need I be concerned about the V2 software overwriting the older version of the software?

Thanks
MR
 
We run V1 and v2 drones. We've never had an issue using the same android devices for either. It's the same app for both.
This is where I get confused. I found this page on the Autel site touting Version 2 of the Explorer app. Autel calls it "an optional update" which includes "coordinated turns feature" for waypoint missions. I've successfully installed the Version 2 Explorer on my iPhone, but attempting the same on my (preferred) Tripltek 8 results in an "app not installed" message.

My V.2 EVO has since arrived and I've done a few test flights with the iOS Explorer V.2 app with no issues.

What am I missing?

Thanks

MR
 
My experience with the two versions of the apps is this: with iOS (iPhone), I can successfully operate my V2 EVO with both versions of the Explorer app (version 1 and version 2). However, with Android (Tripltek 8), I can only run version 1 of the application. Attempts to install the Android version 2 repeatedly fail.

I can, however, fly the V2 EVO using version 1 of Explorere using my Android device.

I think the Android operating system cannot accommodate both versions of the app. That it can only be sideloaded from Autel's site and not downloaded from Google Play tells me there may be something quirky about the Android version of the app.

I'm currently in the midst of a waypoints project and my missions are on the Tripltek. When that project wraps, I'll unistall version 1 of Explorer and attempt an installation of Explorer version 2 on the Tripltek.

Thanks for all the feedback on this. I appreciate it.

MR
 
My experience with the two versions of the apps is this: with iOS (iPhone), I can successfully operate my V2 EVO with both versions of the Explorer app (version 1 and version 2). However, with Android (Tripltek 8), I can only run version 1 of the application. Attempts to install the Android version 2 repeatedly fail.

I can, however, fly the V2 EVO using version 1 of Explorere using my Android device.

I think the Android operating system cannot accommodate both versions of the app. That it can only be sideloaded from Autel's site and not downloaded from Google Play tells me there may be something quirky about the Android version of the app.

I'm currently in the midst of a waypoints project and my missions are on the Tripltek. When that project wraps, I'll unistall version 1 of Explorer and attempt an installation of Explorer version 2 on the Tripltek.

Thanks for all the feedback on this. I appreciate it.

MR
Are there any differences in the Android OS version between the two devices? The Explorer apps are usually paired with a specific Android OS version.
 

Latest threads

Members online

Forum statistics

Threads
11,145
Messages
102,176
Members
9,698
Latest member
christine.reyna